Show Contents / Index / Search

Prerequisite Software

Reflection 2011 has the following software requirements. Depending on your install method (using the Attachmate Installation Program, installing directly using MSI, or deploying from an administrative install), and the platform to which you are installing, this software is either installed or updated automatically, or you are prompted to install or perform an update.

Microsoft .NET Framework 4.0 Runtime

For all supported operating systems except Microsoft Server 2008, if you use the Attachmate Installation Program (setup.exe) to install Reflection 2011, it determines whether the system has the .NET Framework and automatically installs it if necessary. (This applies only for installs that use the Attachmate Installation Program. It does not apply when Reflection 2011 is installed directly with MSI.)

Note: If you are using Microsoft Windows Server 2008 R1 and the .NET Framework 4.0 is required, you will need to make sure it is installed on the server. The Attachmate Installation Program does not install .NET on this server.

Reflection 2011 has several optional features that require the Microsoft .NET Framework 4.0. If these features are selected for the primary Reflection 2011 installation and this framework is not already installed, the Attachmate Installation Program automatically installs it after the primary installation is complete. Both 32-bit and 64-bit versions of this software are distributed with Reflection 2011.

Note: Versions of the Attachmate Installation Program prior to R3 automatically install the Microsoft .NET Framework regardless of which features are installed. These versions detect whether the .NET framework is installed on the device (for example, Windows XP does not include the .NET framework by default, while Windows 7 does) and install it (if it’s not already installed) before installing Reflection 2011.

Microsoft Windows Installer 3.1

The Microsoft Windows Installer (MSI) version 3.1 is distributed with Reflection 2011. This is applicable to Windows XP only (Windows Vista and Windows 7 already include a later version).

If you use the Attachmate Installation Program on Windows XP, the wizard determines whether Windows Installer 3.1 is installed, and automatically updates it if necessary.

Microsoft Visual Basic for Applications (VBA)

Reflection 2011 Release 3 supports Microsoft VBA 6.5. If you select to install this feature in the Attachmate Installation Program, it is automatically installed. If you install Reflection 2011 directly with MSI or with a deployment tool and you want to install this feature, you must install it directly, using the core VBA 6.5 MSI and an appropriate language specific MSI. (These MSIs are in the Prerequisites folder, in the distribution media.)

Deploying MSI Files Directly

If you install Reflection 2011 directly with MSI or with a deployment tool, you must determine whether any optional features you have selected require the Microsoft .NET Framework 4.0. If this framework is required, you will need to install it.

If you install Reflection 2011 directly with MSI, or you are deploying Reflection 2011 from an administrative install, Windows Installer 3.1 is not automatically installed on Windows XP. Although Windows Installer 3.1 is optional, you should update your version of Windows Installer to take full advantage of the features available in Windows Installer 3.1.

Deploy Windows Installer 3.1 as a separate package to Windows XP workstations where it is not installed.

Related Topics

System Requirements